config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
preserve_perms() {
  NEW="$1"
  OLD="$(dirname ${NEW})/$(basename ${NEW} .new)"
  if [ -e ${OLD} ]; then
    cp -a ${OLD} ${NEW}.incoming
    cat ${NEW} > ${NEW}.incoming
    mv ${NEW}.incoming ${NEW}
  fi
  config ${NEW}
}
( cd usr/lib ; rm -rf libdbus-1.so )
( cd usr/lib ; ln -sf libdbus-1.so.3 libdbus-1.so )
( cd usr/lib ; rm -rf libdbus-1.so.3 )
( cd usr/lib ; ln -sf libdbus-1.so.3.38.3 libdbus-1.so.3 )
# Make sure /var/lib/dbus/machine-id is a symlink to /etc/machine-id.
  # If var/lib/dbus/machine-id is a symlink, get rid of it:
  if [ -L var/lib/dbus/machine-id ]; then
    rm -f var/lib/dbus/machine-id
  # If you have both etc/machine-id and var/lib/dbus/machine-id then we will
  # keep etc/machine-id and back up var/lib/dbus/machine-id:
  if [ -r etc/machine-id -a -r var/lib/dbus/machine-id ]; then
    mv var/lib/dbus/machine-id var/lib/dbus/machine-id.backup
  # If there's a var/lib/dbus/machine-id file, and no etc/machine-id, move it:
  if [ -r var/lib/dbus/machine-id -a ! -e etc/machine-id ]; then
    mv var/lib/dbus/machine-id etc/machine-id
  # Create the var/lib/dbus/machine-id symlink:
  rm -f var/lib/dbus/machine-id
  ln -sf /etc/machine-id var/lib/dbus/machine-id
